<?php

namespace Tests\Feature\V3\Rahdaran;

use App\Models\Rahdaran;
use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;

class SearchTest extends TestCase
{
    use RefreshDatabase;
    /**
     * A basic feature test example.
     */
    public function test_user_can_search_through_rahdaran_codes(): void
    {
        $user = User::factory()->create();

        $rahdar = Rahdaran::factory()->create();

        $response = $this->actingAs($user)->getJson(route('v3.cmms_machines.search', [$rahdar->code]));

        $response->assertOk();

        $response->assertJsonStructure([
            'data' => [
                '*' => [
                    "name",
                    "code",
                ],
            ]
        ]);
    }
}
